<?xml version="1.0" encoding="windows-1251"?>
<!-- edited with XML Spy v4.3 U (http://www.xmlspy.com) by ASD (ASD) -->
<Модуль rg_version="1.0">
  <интерфейс>
    <отчет>
      <наименование>Форма 0503121-191н_ред186н_2023</наименование>
      <код_раздела>Reports5n</код_раздела>
      <номер_код>f0503121_186n_2023</номер_код>
      <шаблон>
        <тип>MSE</тип>
        <мнемокод>ar_form0503121_186n_2023</мнемокод>
        <файл>Форма0503121_191н_ред186н_2023.xlt</файл>
      </шаблон>
    </отчет>
  </интерфейс> 
  <отчет>
    <реализует>f0503121_186n_2023</реализует>
      <дополнительно>
      <запомнить_переменные>
        <список_переменных>dSelDate;dReoDate;cOrg;nAccType;cTxt18B1;cTxt18B2;cTxt18B3;cTxt18B4;cTxt18B5;cTxt18B6;cTxt18B7;cTxt18B8;cTxt18B9;cTxt18B10;cTxt18R1;cTxt18R2;cTxt18R3;cTxt18R4;cTxt18R5;cTxt18R6;cTxt18R7;cTxt18R8;cTxt18R9;cTxt18R10;cNameBudzh;cKSO;cBalUnitsB;cBalUnitsR;nAnLevel;cRN_Mark;cCatEO;cJournalOp;cmbMark_;glbk;cUnlPath;cIST;cDicIsp;cKodB;cIspName;cIspTel;nEmptyRows</список_переменных>
        <мемофайл>ar_form0503121_191n_186n_2023;ar_form0503121_191n_217n_2021;ar_form0503121_191n_311n_2020;ar_form0503121_191n_13n_2020;ar_form0503121_191n_72n_2019</мемофайл>
      </запомнить_переменные>
      </дополнительно>
    <переменные>
      <переменная>
        <имя>cFieldDb</имя>
        <начальное_значение>""</начальное_значение>
        <!--Аналитика дебет-->
      </переменная>
      <переменная>
        <имя>cFieldKr</имя>
        <начальное_значение>""</начальное_значение>
        <!--Аналитика кредит-->
      </переменная>
      <переменная>
        <имя>dSelDate</имя>
        <начальное_значение>Year(oSystem.DateBegin)</начальное_значение>
        <!--Год За-->
      </переменная>
      <переменная>
        <имя>dReoDate</имя>
        <начальное_значение>{}</начальное_значение>
        <!--Дата реорганизации-->
      </переменная>
      <переменная>
        <имя>nAnLevel</имя>
        <начальное_значение>5</начальное_значение>
        <!--Уровень аналитики-->
      </переменная>
      <переменная>
        <имя>cNameBudzh</имя>
        <начальное_значение>""</начальное_значение>
        <!--Наименование бюджета-->
      </переменная>
      <переменная>
        <имя>cKSO</имя>
        <начальное_значение>"ПБС"</начальное_значение>
        <!--Код субъекта отчетности-->
      </переменная>
      <переменная>
        <имя>cBalUnitsB</имя>
        <начальное_значение>""</начальное_значение>
        <!--Бал. единицы-->
      </переменная>
      <переменная>
        <имя>cBalUnitsR</имя>
        <начальное_значение>""</начальное_значение>
        <!--Бал. единицы-->
      </переменная>
      <переменная>
        <имя>nAnLevel</имя>
        <начальное_значение>5</начальное_значение>
        <!--Уровень аналитики-->
      </переменная>
      <переменная>
        <имя>cOrg</имя>
        <начальное_значение>""</начальное_значение>
        <!--Контрагент-->
      </переменная>
      <переменная>
        <имя>cWhereKontragent</имя>
        <начальное_значение>""</начальное_значение>
        <!--Условие по контрагентам-->
      </переменная>
      <переменная>
        <имя>nAccType</имя>
        <начальное_значение>1</начальное_значение>
        <!--Размерность плана счетов-->
      </переменная>
      <переменная>
        <имя>CTxt18B1</имя>
        <начальное_значение>"1"</начальное_значение>
        <!--18 знак для бюджета-->
      </переменная>
      <переменная>
        <имя>CTxt18B2</имя>
        <начальное_значение>""</начальное_значение>
        <!--18 знак для бюджета-->
      </переменная>
      <переменная>
        <имя>CTxt18B3</имя>
        <начальное_значение>""</начальное_значение>
        <!--18 знак для бюджета-->
      </переменная>
      <переменная>
        <имя>CTxt18B4</имя>
        <начальное_значение>""</начальное_значение>
        <!--18 знак для бюджета-->
      </переменная>
      <переменная>
        <имя>CTxt18B5</имя>
        <начальное_значение>""</начальное_значение>
        <!--18 знак для бюджета-->
      </переменная>
      <переменная>
        <имя>CTxt18B6</имя>
        <начальное_значение>""</начальное_значение>
        <!--18 знак для бюджета-->
      </переменная>
      <переменная>
        <имя>CTxt18B7</имя>
        <начальное_значение>""</начальное_значение>
        <!--18 знак для бюджета-->
      </переменная>
      <переменная>
        <имя>CTxt18B8</имя>
        <начальное_значение>""</начальное_значение>
        <!--18 знак для бюджета-->
      </переменная>
      <переменная>
        <имя>CTxt18B9</имя>
        <начальное_значение>""</начальное_значение>
        <!--18 знак для бюджета-->
      </переменная>
      <переменная>
        <имя>CTxt18B10</имя>
        <начальное_значение>""</начальное_значение>
        <!--18 знак для бюджета-->
      </переменная>
      <переменная>
        <имя>CTxt18R1</имя>
        <начальное_значение>"3"</начальное_значение>
      </переменная>
      <переменная>
        <имя>CTxt18R2</имя>
        <начальное_значение>""</начальное_значение>
      </переменная>
      <переменная>
        <имя>CTxt18R3</имя>
        <начальное_значение>""</начальное_значение>
      </переменная>
      <переменная>
        <имя>CTxt18R4</имя>
        <начальное_значение>""</начальное_значение>
      </переменная>
      <переменная>
        <имя>CTxt18R5</имя>
        <начальное_значение>""</начальное_значение>
      </переменная>
      <переменная>
        <имя>CTxt18R6</имя>
        <начальное_значение>""</начальное_значение>
      </переменная>
      <переменная>
        <имя>CTxt18R7</имя>
        <начальное_значение>""</начальное_значение>
      </переменная>
      <переменная>
        <имя>CTxt18R8</имя>
        <начальное_значение>""</начальное_значение>
      </переменная>
      <переменная>
        <имя>CTxt18R9</имя>
        <начальное_значение>""</начальное_значение>
      </переменная>
      <переменная>
        <имя>CTxt18R10</имя>
        <начальное_значение>""</начальное_значение>
      </переменная>
      <переменная>
        <имя>dDateBegin</имя>
        <начальное_значение>""</начальное_значение>
        <!--Дата С-->
      </переменная>
      <переменная>
        <имя>dDateEnd</имя>
        <начальное_значение>""</начальное_значение>
        <!--Дата По-->
      </переменная>
      <переменная>
        <имя>cWhereB</имя>
        <начальное_значение>""</начальное_значение>
      </переменная>
      <переменная>
        <имя>cWhereR</имя>
        <начальное_значение>""</начальное_значение>
      </переменная>
      <переменная>
        <имя>cRN_Mark</имя>
        <начальное_значение>""</начальное_значение>
        <!--Особая отметка-->
      </переменная>
      <переменная>
        <имя>cCatEO</имя>
        <начальное_значение>""</начальное_значение>
        <!--Каталог ХО-->
      </переменная>
      <переменная>
        <имя>cJournalOp</имя>
        <начальное_значение>""</начальное_значение>
        <!--Журнал операций-->
      </переменная>      
      <переменная>
        <имя>cmbMark_</имя>
        <начальное_значение>""</начальное_значение>
        <!--Особая отметка-->
      </переменная>
      <переменная>
        <имя>glBK</имя>
        <начальное_значение>""</начальное_значение>
        <!--Глава по БК-->
      </переменная>
      <переменная>
        <имя>cUnlPath</имя>
        <начальное_значение>""</начальное_значение>
        <!--Каталог выгрузки-->
      </переменная>
      <переменная>
        <имя>cFileName</имя>
        <начальное_значение>""</начальное_значение>
        <!--Файл выгрузки-->
      </переменная>
      <переменная>
        <имя>cKodB</имя>
        <начальное_значение>""</начальное_значение>
        <!--Код бюджета-->
      </переменная>
      <переменная>
        <имя>cIST</имя>
        <начальное_значение>""</начальное_значение>
        <!--ИСТ-->
      </переменная>
      <переменная>
        <имя>cDicIsp</имя>
        <начальное_значение>""</начальное_значение>
        <!--Исполнитель-->
      </переменная>
      <переменная>
        <имя>cIspName</имя>
        <начальное_значение>""</начальное_значение>
        <!--ФИО исполнителя-->
      </переменная>
      <переменная>
        <имя>cIspTel</имя>
        <начальное_значение>""</начальное_значение>
        <!--Телефон исполнителя-->
      </переменная>
      <переменная>
        <имя>nEmptyRows</имя>
        <начальное_значение>0</начальное_значение>
        <!--Выгружать строки с нулевыми значениями-->
      </переменная>
      <переменная>
        <имя>RepG151</имя>
        <начальное_значение>CreateObject("form0503buxrepd")</начальное_значение>
      </переменная>
      <переменная>
        <имя>dReportDate</имя>
        <начальное_значение>Date(2023,06,30)</начальное_значение>
      </переменная>
      <переменная>
        <имя>lNoError</имя>
        <начальное_значение>.T.</начальное_значение>
      </переменная>
    </переменные>
    <запуск_формы>
      <ид>f_0503121_191n_186n_2023</ид>
    </запуск_формы>
    <вычисление>
      <сообщение>Ждите, идет выборка данных ...</сообщение>
      <FPC_><![CDATA[*[VFP]
dDateBegin = DATE(m.dSelDate, 1, 1)
dDateEnd   = Iif(Empty(m.dReoDate), DATE(m.dSelDate, 12, 31), m.dReoDate)
cFieldDb   = "crEopSpecD.RN_DB_A" + str(nAnLevel, 1)
cFieldKr   = "crEopSpecK.RN_KR_A" + str(nAnLevel, 1)
                    ]]></FPC_>
    </вычисление>
    <печать>
      <!--Печать отчета--><MSE>
        <!--Печать в MS Excel-->
        <FPC_><![CDATA[*[VFP]     
Private ALL Like nCol?Row???
Store 0 To nCol4Row302, ;
           nCol4Row321, nCol5Row321, ;
           nCol4Row322, nCol5Row322, ;
           nCol4Row331, nCol5Row331, ;
           nCol4Row332, nCol5Row332, ;
           nCol4Row351, nCol5Row351, ;
           nCol4Row352, nCol5Row352, ;
           nCol4Row361, nCol5Row361, ;
           nCol4Row362, nCol5Row362, ;
           nCol4Row371, nCol5Row371, ;
           nCol4Row372, nCol5Row372, ;
           nCol4Row381, nCol5Row381, ;
           nCol4Row382, nCol5Row382, ;
           nCol4Row391, nCol5Row391, ;
           nCol4Row392, nCol5Row392, ;
           nCol4Row396, nCol5Row396, ;
           nCol4Row397, nCol5Row397, ;
           nCol4Row400,              ;           
           nCol4Row431, nCol5Row431, ;
           nCol4Row432, nCol5Row432, ;
           nCol4Row441, nCol5Row441, ;
           nCol4Row442, nCol5Row442, ;
           nCol4Row451, nCol5Row451, ;
           nCol4Row452, nCol5Row452, ;
           nCol4Row461, nCol5Row461, ;
           nCol4Row462, nCol5Row462, ;
           nCol4Row471, nCol5Row471, ;
           nCol4Row472, nCol5Row472, ;
           nCol4Row481, nCol5Row481, ;
           nCol4Row482, nCol5Row482, ;
           nCol4Row521, ;
           nCol4Row522, ;
           nCol4Row531, ;
           nCol4Row532, ;
           nCol4Row541, nCol5Row541, ;
           nCol4Row542, nCol5Row542, ;
           nCol4Row550, ;
           nCol4Row560                      

*ON ERROR
Private n18Pos, c18Pos, cSPLevel
Local cSubPos, c23Pos, cWhereExcl
Local cJoinAn_D, cJoinAn_K, cOrgPO_D, cOrgPO_K
Local Array arBp(1)

* Отбор по контрагенту
Store    ""   To cJoinAn_D, cJoinAn_K
Store " .T. " To cOrgPO_D, cOrgPO_K

If !Empty(m.cWhereKontragent)
  Select AccSpec.RN ;
         From AccSpec ;
           Inner Join OrgBase On AccSpec.RN_TOrg = OrgBase.RN ;
         Where &cWhereKontragent ;
         Into Cursor crsAccSpRN
  If _Tally = 0
     Store ".F. " To cOrgPO_D, cOrgPO_K
  Else
     Index On RN Tag RN
     cJoinAn_D = "Left Join crsAccSpRN A1 On S.RN_DB_A1 = A1.RN " ;
               + "Left Join crsAccSpRN A2 On S.RN_DB_A2 = A2.RN " ;
               + "Left Join crsAccSpRN A3 On S.RN_DB_A3 = A3.RN " ;
               + "Left Join crsAccSpRN A4 On S.RN_DB_A4 = A4.RN " ;
               + "Left Join crsAccSpRN A5 On S.RN_DB_A5 = A5.RN "
     cOrgPO_D  = "(!IsNull(A1.RN) Or !IsNull(A2.RN) Or !IsNull(A3.RN) Or !IsNull(A4.RN) Or !IsNull(A5.RN)) "
     cJoinAn_K = StrTran(m.cJoinAn_D, "_DB_", "_KR_")
     cOrgPO_K  = m.cOrgPO_D
  EndIf
EndIf

* nAccType - длинный или короткий план счетов. 
n18Pos = Iif(m.nAccType = 1, 18, 1)
c18Pos = LTrim(Str(m.n18Pos))

* Уровень аналитики
cSPLevel = Str(m.nAnLevel, 1)

* Операции межотчетного периода
cWhereExcl = Iif(!Empty(m.cRN_Mark), " and B.rn_mark # '" + m.cRN_Mark + "'", "")
cWhereExcl = m.cWhereExcl + IIF(!Empty(m.cCatEO), " and B.PARENT_RN # '" + m.cCatEO + "'", "")
cWhereExcl = m.cWhereExcl + IIF(!Empty(m.cJournalOp), " And S.RN_MO # '" + m.cJournalOp + "' And A.RN_MO # '" + m.cJournalOp + "' And C.RN_MO # '" + m.cJournalOp + "'", "")

* Глава по БК
If !Empty(m.cWhereKontragent)
   Select B.Rasp_Code ;
     From OrgBase ;
       Inner Join fBudMG B On OrgBase.RN = B.OrgBase_RN ;
     Where &cWhereKontragent And !Empty(B.Rasp_Code);
     Into Array arBP
   *
   If _Tally > 0
     glBK = arBP(1)
   EndIf 
EndIf 

If Empty(m.glBK)
   Select Rasp_Code ;
     From fBudMG ;
     Where OrgBase_RN = ?oSystem.OwnerOrgRn And !Empty(Rasp_Code);
     Into Array arBP
   *
   If _Tally > 0
     glBK = arBP(1)
   EndIf 
EndIf

* обороты
select S.*, B.Date_EOP ;
    From EopBase B ;
      Inner Join EopSpec S On B.RN = S.Master_RN ;
      Inner Join AccBase A On S.RN_DB = A.RN ;
      Inner Join AccBase C On S.RN_KR = C.RN ;
      &cJoinAn_D ;
    Where B.Date_EOP BETWEEN ?m.dDateBegin AND ?m.dDateEnd AND ;
          &cOrgPO_D &cWhereExcl ;
    into cursor crEopSpecD

Index On Date_EOP Tag Date_EOP

select S.*, B.Date_EOP ;
    From EopBase B ;
      Inner Join EopSpec S ON B.RN = S.Master_RN ;
      Inner Join AccBase A On S.RN_KR = A.RN ;
      Inner Join AccBase C On S.RN_DB = C.RN ;
      &cJoinAn_K ;
    Where B.Date_EOP BETWEEN ?m.dDateBegin AND ?m.dDateEnd AND ;
          &cOrgPO_K &cWhereExcl ;
    into cursor crEopSpecK

Index On Date_EOP Tag Date_EOP

= CurClose("crsAccSpRN")

** Динамические строки таблицы
Create CURSOR crs121 (KOSGU C(3), Sum4 N(18,2), Sum5 N(18,2))
Index On KOSGU Tag KOSGU

&&Доходы
*-------
= SelAccFromBaseD(1, "11,12,14,15,16,17,19", "!4013")
= SelAccFromBaseD(1, "13", "30304,30305")
= SelAccFromBaseD(1, "18", "!4013,30303")

&&Расходы
*--------
= SelAccFromBaseD(2, "21,22,23,24,25,26,27,28", "!4013")
= SelAccFromBaseD(2, "29", "!4013,30303")
= SelAccFromBaseR()

* увеличение стоимости материальных запасов 361
= SelAccFromBase36(1, "4")
= SelAccFromBase36(1, "5")

* уменьшение стоимости материальных запасов 362
= SelAccFromBase36(2, "4")
= SelAccFromBase36(2, "5")

cSubPos  = IIF(m.nAccType = 1, "19", "2")
c23Pos   = IIF(m.nAccType = 1, "23", "6")

&&302
=SelAccFromBase(m.cWhereB, '30303',, @nCol4Row302, "OBCR", '4011,4012')

&&321
=SelAccFromBase(m.cWhereB, '101,106?1,106?2,10653,107?1,10851,10852,10853,10891,10892', '31', @nCol4Row321, "OBDB;OBCR")
=SelAccFromBase(m.cWhereR, '101,106?1,106?2,10653,107?1,10851,10852,10853,10891,10892', '31', @nCol5Row321, "OBDB;OBCR")

&&322
=SelAccFromBase(m.cWhereB, '101,1041,1043,1141,1143,1049,10451,10452,10459,106?1,106?2,10653,107?1,10851,10852,10853,10891,10892!1043N,1043R,1043I,1043D,1143N,1143R,1143I,1143D,1049I', '41', @nCol4Row322, "OBCR;OBDB")
=SelAccFromBase(m.cWhereR, '101,1041,1043,1141,1143,1049,10451,10452,10459,106?1,106?2,10653,107?1,10851,10852,10853,10891,10892!1043N,1043R,1043I,1043D,1143N,1143R,1143I,1143D,1049I', '41', @nCol5Row322, "OBCR;OBDB")

&&331
=SelAccFromBase(m.cWhereB, '102,1063N,1063R,1063I,1063D,10654,1069I,10854,1089I', '32', @nCol4Row331, "OBDB;OBCR")
=SelAccFromBase(m.cWhereR, '102,1063N,1063R,1063I,1063D,10654,1069I,10854,1089I', '32', @nCol5Row331, "OBDB;OBCR")

&&332
=SelAccFromBase(m.cWhereB, '102,1043N,1043R,1043I,1043D,1049I,1063N,1063R,1063I,1063D,10654,1069I,10854,1089I,10454,1045I,1143N,1143R,1143I,1143D', '42', @nCol4Row332, "OBCR;OBDB")
=SelAccFromBase(m.cWhereR, '102,1043N,1043R,1043I,1043D,1049I,1063N,1063R,1063I,1063D,10654,1069I,10854,1089I,10454,1045I,1143N,1143R,1143I,1143D', '42', @nCol5Row332, "OBCR;OBDB")

&&351
=SelAccFromBase(m.cWhereB, '103,106?3,10655,10695,10855,10895', '33', @nCol4Row351, "OBDB;OBCR")
=SelAccFromBase(m.cWhereR, '103,106?3,10655,10695,10855,10895', '33', @nCol5Row351, "OBDB;OBCR")

&&352
=SelAccFromBase(m.cWhereB, '103,106?3,10655,10695,10855,10895,1147', '43', @nCol4Row352, "OBCR;OBDB")
=SelAccFromBase(m.cWhereR, '103,106?3,10655,10695,10855,10895,1147', '43', @nCol5Row352, "OBCR;OBDB")

&&371
=SelAccFromBase(m.cWhereB, '111,1066', '35', @nCol4Row371, "OBDB;OBCR")
=SelAccFromBase(m.cWhereR, '111,1066', '35', @nCol5Row371, "OBDB;OBCR")

&&372
=SelAccFromBase(m.cWhereB, '111,1066,1044,1046,1144,1146', '45', @nCol4Row372, "OBCR;OBDB")
=SelAccFromBase(m.cWhereR, '111,1066,1044,1046,1144,1146', '45', @nCol5Row372, "OBCR;OBDB")

&&381
=SelAccFromBase(m.cWhereB, '113,10637,10734', '36', @nCol4Row381, "OBDB;OBCR")
=SelAccFromBase(m.cWhereR, '113,10637,10734', '36', @nCol5Row381, "OBDB;OBCR")

&&382
=SelAccFromBase(m.cWhereB, '113,10637,10734,1149', '46', @nCol4Row382, "OBCR;OBDB")
=SelAccFromBase(m.cWhereR, '113,10637,10734,1149', '46', @nCol5Row382, "OBCR;OBDB")

&&391
=SelAccFromBase(m.cWhereB, '109',, @nCol4Row391, "OBDB")
=SelAccFromBase(m.cWhereR, '109',, @nCol5Row391, "OBDB")

&&392
=SelAccFromBase(m.cWhereB, '109',, @nCol4Row392, "OBCR")
=SelAccFromBase(m.cWhereR, '109',, @nCol5Row392, "OBCR")

&&396
=SelAccFromBase(m.cWhereB, '110',, @nCol4Row396, "OBDB")
=SelAccFromBase(m.cWhereR, '110',, @nCol5Row396, "OBDB")

&&397
=SelAccFromBase(m.cWhereB, '110',, @nCol4Row397, "OBCR")
=SelAccFromBase(m.cWhereR, '110',, @nCol5Row397, "OBCR")

&&400
=SelAccFromBase(m.cWhereB, '4015',, @nCol4Row400, "OBDB;OBCR")

&&431
=SelAccFromBase(m.cWhereB, '201', '51', @nCol4Row431, "OBDB;OBCR")
=SelAccFromBase(m.cWhereB, '21002,21004',, @nCol4Row431, "OBDB;OBCR", '!4013')
=SelAccFromBase(m.cWhereR, '201', '51', @nCol5Row431, "OBDB;OBCR")

&&432
=SelAccFromBase(m.cWhereB, '201', '61', @nCol4Row432, "OBCR;OBDB")
=SelAccFromBase(m.cWhereB, '30405',, @nCol4Row432, "OBCR;OBDB", '!4013')
=SelAccFromBase(m.cWhereR, '201', '61', @nCol5Row432, "OBCR;OBDB")

&&441
=SelAccFromBase(m.cWhereB, '2042,2152', '52', @nCol4Row441, "OBDB;OBCR")
=SelAccFromBase(m.cWhereR, '2042,2152', '52', @nCol5Row441, "OBDB;OBCR")

&&442
=SelAccFromBase(m.cWhereB, '2042,2152', '62', @nCol4Row442, "OBCR;OBDB")
=SelAccFromBase(m.cWhereR, '2042,2152', '62', @nCol5Row442, "OBCR;OBDB")

&&451
=SelAccFromBase(m.cWhereB, '2043,2153,2155Т,2155T', '53', @nCol4Row451, "OBDB;OBCR")
=SelAccFromBase(m.cWhereR, '2043,2153,2155Т,2155T', '53', @nCol5Row451, "OBDB;OBCR")

&&452
=SelAccFromBase(m.cWhereB, '2043,2153,2155Т,2155T', '63', @nCol4Row452, "OBCR;OBDB")
=SelAccFromBase(m.cWhereR, '2043,2153,2155Т,2155T', '63', @nCol5Row452, "OBCR;OBDB")

&&461
=SelAccFromBase(m.cWhereB, '207', '54', @nCol4Row461, "OBDB;OBCR")
=SelAccFromBase(m.cWhereR, '207', '54', @nCol5Row461, "OBDB;OBCR")

&&462
=SelAccFromBase(m.cWhereB, '207', '64', @nCol4Row462, "OBCR;OBDB")
=SelAccFromBase(m.cWhereR, '207', '64', @nCol5Row462, "OBCR;OBDB")

&&471
=SelAccFromBase(m.cWhereB, '2045,21552,21553', '55', @nCol4Row471, "OBDB;OBCR")
=SelAccFromBase(m.cWhereR, '2045,21552,21553', '55', @nCol5Row471, "OBDB;OBCR")

&&472
=SelAccFromBase(m.cWhereB, '2045,21552,21553', '65', @nCol4Row472, "OBCR;OBDB")
=SelAccFromBase(m.cWhereR, '2045,21552,21553', '65', @nCol5Row472, "OBCR;OBDB")

&&481
=SelAccFromBase(m.cWhereB, '205,206,208,209,2101,21003,21005,210T5,210Т5', '56', @nCol4Row481, "OBDB;OBCR")
=SelAccFromBase(m.cWhereR, '205,206,208,209,2101,21003,21005,210T5,210Т5', '56', @nCol5Row481, "OBDB;OBCR")

&&482
=SelAccFromBase(m.cWhereB, '205,206,208,209,2101,21003,21005,210T5,210Т5', '66', @nCol4Row482, "OBCR;OBDB")
=SelAccFromBase(m.cWhereR, '205,206,208,209,2101,21003,21005,210T5,210Т5', '66', @nCol5Row482, "OBCR;OBDB")

&&521
=SelAccFromBase(m.cWhereB, '3011,30121,30131', '71', @nCol4Row521, "OBCR;OBDB")

&&522
=SelAccFromBase(m.cWhereB, '3011,30121,30131', '81', @nCol4Row522, "OBDB;OBCR")

&&531
=SelAccFromBase(m.cWhereB, '30123,30133,3014', '72', @nCol4Row531, "OBCR;OBDB")

&&532
=SelAccFromBase(m.cWhereB, '30123,30133,3014', '82', @nCol4Row532, "OBCR;OBDB")

&&541
=SelAccFromBase(m.cWhereB, '302,303,30401,30402,30403', '73', @nCol4Row541, "OBCR;OBDB")
=SelAccFromBase(m.cWhereB, '30406,304T6,304Т6', '73', @nCol4Row541, "OBCR;OBDB", '!4013')
=SelAccFromBase(m.cWhereB, '30404',, @nCol4Row541, "OBCR", '!4013')
=SelAccFromBase(m.cWhereR, '302,303,30401,30402,30403', '73', @nCol5Row541, "OBCR;OBDB")
=SelAccFromBase(m.cWhereR, '30406,304T6,304Т6', '73', @nCol5Row541, "OBCR;OBDB", '!4013')
=SelAccFromBase(m.cWhereR, '30404',, @nCol5Row541, "OBCR", '!4013')

&&542
=SelAccFromBase(m.cWhereB, '302,303,30401,30402,30403', '83', @nCol4Row542, "OBDB;OBCR")
=SelAccFromBase(m.cWhereB, '30406,304T6,304Т6', '83', @nCol4Row542, "OBDB;OBCR", '!4013')
=SelAccFromBase(m.cWhereB, '30404',, @nCol4Row542, "OBDB", '!4013')
=SelAccFromBase(m.cWhereR, '302,303,30401,30402,30403', '83', @nCol5Row542, "OBDB;OBCR")
=SelAccFromBase(m.cWhereR, '30406,304T6,304Т6', '83', @nCol5Row542, "OBDB;OBCR", '!4013')
=SelAccFromBase(m.cWhereR, '30404',, @nCol5Row542, "OBDB", '!4013')

&&550
=SelAccFromBase(m.cWhereB, '4014', '1', @nCol4Row550, "OBCR;OBDB", '!4013')

&&560
=SelAccFromBase(m.cWhereB, '4016',, @nCol4Row560, "OBCR;OBDB")

CurClose("crEopSpecD;crEopSpecK")

&&Формирую имя файла            
If !Empty(m.cUnlPath)
  Local array aFiles(1)
  Local nNum, cNum, nN, i
  cUnlPath = AllTrim(m.cUnlPath)
  cFileName = "221" + Iif(Empty(m.dReoDate), "Y", "R")
  nNum = 0
  If ADir(aFiles, m.cUnlPath + m.cFileName + "*.txt") # 0
    For m.i = 1 To Alen(aFiles) / 5
      nN = at(".", aFiles(m.i, 1))
      cNum = SubStr(aFiles(m.i, 1), 5, m.nN - 5)
      If m.nNum < Val(m.cNum)
        nNum = Val(m.cNum)
      EndIf 
    EndFor
  EndIf
  cFileName = m.cUnlPath + m.cFileName + PadL(Int(m.nNum) + 1, 2, "0") + ".txt"
EndIf

* печать отчета
Local oPrint, nSheet, i, j, s
oPrint = objCaller.objExcelRep

* Заголовок
oPrint.PrintRange("Header")

* Доходы 020 - 110
For m.j = 11 To 19
  s = Str(m.j, 2)
  i = 1
  Select crs121
  Scan For KOSGU = m.s And Sum4 # 0
    If m.i # 1
      oPrint.InsertRange()
    EndIf
    oPrint.PrintRange("Spec" + m.s)
    i = m.i + 1
  EndScan
Next

* Расходы 160 - 270
For m.j = 21 To 29
  s = Str(m.j, 2)
  i = 1
  Select crs121
  Scan For KOSGU = m.s And Sum4 # 0
    If m.i # 1
      oPrint.InsertRange()
    EndIf
    oPrint.PrintRange("Spec" + m.s)
    i = m.i + 1
  EndScan
Next

* увеличение стоимости материальных запасов 361
i = 1
Select crs121
Scan For KOSGU = "347" And (Sum4 # 0 Or Sum5 # 0)
  If m.i # 1
    oPrint.InsertRange()
  EndIf
  oPrint.PrintRange("Spec34")
  i = m.i + 1
EndScan

* уменьшение стоимости материальных запасов 362
i = 1
Select crs121
Scan For KOSGU = "447" And (Sum4 # 0 Or Sum5 # 0)
  If m.i # 1
    oPrint.InsertRange()
  EndIf
  oPrint.PrintRange("Spec44")
  i = m.i + 1
EndScan

* Подвал
oPrint.PrintRange("Footer")

* Удаление листа со сценарием выгрузки
If Empty(m.cFileName)
  nSheet = oPrint.GetSheetNum("Выгрузка в МинФин")
  If m.nSheet > 0 
    oPrint.Book.Sheet = m.nSheet
    oPrint.Book.EditDeleteSheets()
  EndIf
  oPrint.Book.Sheet = 1
EndIf

oPrint = NULL


************************************************************************
Procedure SelAccFromBase
  LParameters cWhere, cAcc, cAnalit, nVal, cAllNameProc, cCorr

  Local nPos, cAccMask1, cAccMask2, nALen, i, cTmpWhere, cTmpWhere, cWhereAnalit, cWhereCorr, cWhereAC, cNot
  Local ARRAY aTmpSymb[1], arrProc[1], arIt[1]
  Store "" To cTmpWhere, cWhereAnalit, cWhereCorr, cWhereAC, cNot

  If RepG151.GetComRepPrm151("_0503121", @lNoError, m.cAcc, m.cAnalit, m.cCorr)
    * Отбираем все подходящие счета
    nPos = AT("!", m.cAcc)
    cAccMask1 = Iif(m.nPos = 0, m.cAcc, Left(m.cAcc, m.nPos - 1))
    cAccMask2 = Iif(m.nPos = 0, "", SubStr(m.cAcc, m.nPos + 1))

    nALen = ALines(aTmpSymb, m.cAccMask1, ",")
    For m.i = 1 To m.nALen
      cTmpWhere = m.cTmpWhere + " Or Like('" + Replicate("?", m.n18Pos) + AllTrim(aTmpSymb[m.i]) + "*', AccBase.Account)"
    EndFor
    cTmpWhere = SubStr(m.cTmpWhere, 5)
    If m.nALen > 1
      cTmpWhere = "(" + m.cTmpWhere + ")"
    EndIf

    If !Empty(m.cAccMask2)
      nALen = ALines(aTmpSymb, m.cAccMask2, ",")
      For m.i = 1 To m.nALen
        cTmpWhere = m.cTmpWhere + " And !Like('" + Replicate("?", m.n18Pos) + AllTrim(aTmpSymb[m.i]) + "*', AccBase.Account)"
      EndFor  
    EndIf

    Select AccBase.RN ;
      From AccBase ;
        Left Join BalUnit On AccBase.Rn_BalUnit = BalUnit.Rn ;
      Where &cWhere And &cTmpWhere ;
      Into CURSOR curAcc

    If _Tally = 0
      Use In curAcc
      Return
    EndIf

    * Условие по аналитике
    If !IsNull(m.cAnalit) And !Empty(m.cAnalit)
      cWhereAnalit = "InList(Left(AllTrim(AN.SAccount), 2), '" + StrTran(m.cAnalit, ",", "','") + "')"
    EndIf
    
    * Условие по корр. счетам
    If !Empty(m.cCorr)
      cCorr = AllTrim(m.cCorr)
      If Left(m.cCorr, 1) = "!"
        cCorr = AllTrim(SubStr(m.cCorr, 2))
        cNot  = "!"
      EndIf
      nALen = ALines(aTmpSymb, m.cCorr, ",")
      For m.i = 1 To m.nALen
        cWhereCorr = m.cWhereCorr + " Or Like('" + Replicate("?", m.n18Pos) + AllTrim(aTmpSymb[m.i]) + "*', C.Account)"
      EndFor
      cWhereCorr = SubStr(m.cWhereCorr, 5)
      If m.nALen > 1
        cWhereCorr = "(" + m.cWhereCorr + ")"
      EndIf
      cWhereCorr = m.cNot + m.cWhereCorr
    EndIf

    If !Empty(m.cWhereAnalit) Or !Empty(m.cWhereCorr)
      cWhereAC = "Where " + m.cWhereAnalit
      If !Empty(m.cWhereCorr)
        cWhereAC = m.cWhereAC + Iif(Empty(m.cWhereAnalit), "", " And ") + m.cWhereCorr
      EndIf
    EndIf

    * Обороты
    nALen = ALines(arrProc, m.cAllNameProc, ";")

    For m.i = 1 To m.nALen
      If Empty(arrProc[m.i])
        Loop
      EndIf

      If arrProc[m.i] == "OBDB"
         Select Sum(S.Sum_Equal) As Sum ;
           From crEopSpecD S ;
             Inner Join curAcc  A  On S.RN_DB = A.RN ;
             Inner Join AccSpec AN On S.RN_DB_A&cSPLevel = AN.RN ;
             Inner Join AccBase C  On S.RN_KR = C.RN ;
           &cWhereAC ;
           Into ARRAY arIt
      Else
         Select Sum(S.Sum_Equal) As Sum ;
           From crEopSpecK S ;
             Inner Join curAcc  A  On S.RN_KR = A.RN ;
             Inner Join AccSpec AN On S.RN_KR_A&cSPLevel = AN.RN ;
             Inner Join AccBase C  On S.RN_DB = C.RN ;
           &cWhereAC ;
           Into ARRAY arIt
      EndIf

      If _Tally > 0
        nVal = m.nVal + Iif(m.i = 1, arIt[1], -arIt[1])
      EndIf
    Next

    Use In curAcc
  EndIf
EndProc


************************************************************************
* Подсчёт сумм - Доходы 020 - 110, Расходы 160 - 270
************************************************************************
Procedure SelAccFromBaseD(nOption, cAnalit, cCorrD)

 Local ARRAY aTmp[1]
 Local cWhere, cWhereAnalit, cWhereCorrD, cWhereCorrK, nALen, i, cNot
 Store "" To cWhereCorrD, cWhereAnalit, cNot

 * Список счетов
 cWhere = "And Like('" + Replicate("?", m.n18Pos) + Iif(m.nOption = 1, "4011", "4012") + "*', AccBase.Account)"

 Select AccBase.RN ;
   From AccBase ;
     Left Join BalUnit On AccBase.RN_BalUnit = BalUnit.RN ;
   Where &cWhereB &cWhere Into CURSOR curAcc

 If _Tally # 0
   Index On RN Tag RN

   * Условие по аналитике
   cWhereAnalit = "InList(Left(AllTrim(AN.SAccount), 2), '" + StrTran(m.cAnalit, ",", "','") + "')"

   * Условие по корреспонденции для оборотов по дебету
   If !Empty(m.cCorrD)
     If m.cCorrD = "!"
       cNot   = "!"
       cCorrD = SubStr(m.cCorrD, 2)
     EndIf
     nALen = ALines(aTmp, m.cCorrD, ",")
     For m.i = 1 To m.nALen
       cWhereCorrD = m.cWhereCorrD + " Or Like('" + Replicate("?", m.n18Pos) + aTmp[m.i] + "*', C.Account)"
     Next
     cWhereCorrD = SubStr(m.cWhereCorrD, 5)
     If m.nALen # 1
       cWhereCorrD = "(" + m.cWhereCorrD + ")"
     EndIf
     cWhereCorrD = "And " + m.cNot + m.cWhereCorrD
   EndIf

   * Условие по корреспонденции для оборотов по кредиту
   If m.nOption = 1
     cWhereCorrK = "And !Like('" + Replicate("?", m.n18Pos) + "4013*', C.Account)"
   Else
     cWhereCorrK = m.cWhereCorrD
   EndIf

   * Обороты
   If RepG151.GetComRepPrm151("_0503121", @lNoError, m.cWhereCorrD, m.cWhereAnalit)
     Select PadR(AllTrim(AN.SAccount), 3) As KOSGU, S.SUM_EQUAL As Sum ;
       From crEopSpecD S ;
         Inner Join curAcc  A  On S.RN_DB = A.RN ;
         Inner Join AccSpec AN On S.RN_DB_A&cSPLevel = AN.RN ;
         Inner Join AccBase C  On S.RN_KR = C.RN ;
       Where &cWhereAnalit &cWhereCorrD ;
     UNION ALL ;
     Select PadR(AllTrim(AN.SAccount), 3) As KOSGU, -S.SUM_EQUAL As Sum ;
       From crEopSpecK S ;
         Inner Join curAcc  A  On S.RN_KR = A.RN ;
         Inner Join AccSpec AN On S.RN_KR_A&cSPLevel = AN.RN ;
         Inner Join AccBase C  On S.RN_DB = C.RN ;
       Where &cWhereAnalit &cWhereCorrK ;
       Into CURSOR crsTmp

     Select KOSGU, Sum(SUM) As SUM ;
       From crsTmp ;
       Group By 1 ;
       Into CURSOR crsTmp2

     Scan
       Select crs121
       If !Seek(crsTmp2.KOSGU)
         Insert Into crs121 (KOSGU) VALUES (crsTmp2.KOSGU)
       EndIf
       Replace Sum4 With Sum4 + Iif(m.nOption = 1, -crsTmp2.SUM, crsTmp2.SUM)
     EndScan
   EndIf
 EndIf
 
 CurClose("curAcc,crsTmp,crsTmp2")

EndProc


************************************************************************
* Расходы. Уточнение алгоритма для строк 161-270
************************************************************************
Procedure SelAccFromBaseR()

 Local ARRAY aTmp[1], aSum[1]
 Local cWhere, cWhereCorr, i, nALen

 * Список счетов
 cWhere = + "And Like('" + Replicate("?", m.n18Pos) + "4011*', AccBase.Account)"

 Select AccBase.RN ;
   From AccBase ;
     Left Join BalUnit On AccBase.RN_BalUnit = BalUnit.RN ;
   Where &cWhereB &cWhere Into CURSOR curAcc

 If _Tally # 0
   Index On RN Tag RN

   * Условие по корреспонденции
   cWhereCorr = "And (Like('" + Replicate("?", m.n18Pos) + "109*', C.Account) Or Like('" + Replicate("?", m.n18Pos) + "1106*', C.Account))"

   * Обороты
   If RepG151.GetComRepPrm151("_0503121", @lNoError, m.cWhereCorr)
     Select PadR(AllTrim(CA.SAccount), 3) As KOSGU, Sum(S.SUM_EQUAL) As Sum ;
       From crEopSpecD S ;
         Inner Join curAcc  A  On S.RN_DB = A.RN ;
         Inner Join AccSpec AN On S.RN_DB_A&cSPLevel = AN.RN ;
         Inner Join AccBase C  On S.RN_KR = C.RN ;
         Inner Join AccSpec CA On S.RN_KR_A&cSPLevel = CA.RN ;
       Where Left(AllTrim(AN.SAccount), 2) = "13" &cWhereCorr And InList(Left(AllTrim(CA.SAccount), 2), "21", "22", "23", "24", "25", "26", "27", "28", "29") ;
       Group By 1 ;
       Into CURSOR crsTmp

     Scan
       Select crs121
       If !Seek(crsTmp.KOSGU)
         Insert Into crs121 (KOSGU) VALUES (crsTmp.KOSGU)
       EndIf
       Replace Sum4 With Sum4 + crsTmp.SUM
     EndScan
   EndIf

   * Доп. условие по корреспонденции для 250
   Store "" To cWhereCorr
   nALen = ALines(aTmp, "10537,10538,10539", ",")
   For m.i = 1 To m.nALen
     cWhereCorr = m.cWhereCorr + " Or Like('" + Replicate("?", m.n18Pos) + aTmp[m.i] + "*', C.Account)"
   Next
   cWhereCorr = "And " + "(" + SubStr(m.cWhereCorr, 5) + ")"

   * Доп. обороты для 250
   If RepG151.GetComRepPrm151("_0503121", @lNoError, m.cWhereCorr)
     Select Sum(S.SUM_EQUAL) As Sum ;
       From crEopSpecD S ;
         Inner Join curAcc  A  On S.RN_DB = A.RN ;
         Inner Join AccSpec AN On S.RN_DB_A&cSPLevel = AN.RN ;
         Inner Join AccBase C  On S.RN_KR = C.RN ;
       Where Left(AllTrim(AN.SAccount), 2) = "13" &cWhereCorr ;
       Into ARRAY aSum

     If _Tally # 0
       Select crs121
       If !Seek("272")
         Insert Into crs121 (KOSGU) VALUES ("272")
       EndIf
       Replace Sum4 With Sum4 + aSum[1]
     EndIf
   EndIf
 EndIf
 
 CurClose("curAcc,crsTmp")

EndProc


************************************************************************
* увеличение стоимости материальных запасов 361
* уменьшение стоимости материальных запасов 362
************************************************************************
Procedure SelAccFromBase36(nRow, cCol)

 Local ARRAY aTmp[1]
 Local cRow, cWhere, i, nALen, cAnalit
 cRow    = Str(m.nRow, 1)
 cWhere  = ""
 cAnalit = Iif(m.nRow = 1, "34", "44")

 * Список счетов
 nALen = ALines(aTmp, "105,10634,10656,107?3,10856,10857" + Iif(m.nRow = 2, ",1148", ""), ",")
 For m.i = 1 To m.nALen
   cWhere = m.cWhere + " Or Like('" + Replicate("?", m.n18Pos) + aTmp[m.i] + "*', AccBase.Account)"
 Next
 cWhere = Iif(m.cCol = "4", m.cWhereB, m.cWhereR) + " And " + "(" + SubStr(m.cWhere, 5) + ")"

 Select AccBase.RN ;
   From AccBase ;
     Left Join BalUnit On AccBase.RN_BalUnit = BalUnit.RN ;
   Where &cWhere Into CURSOR curAcc

 If _Tally # 0
   Index On RN Tag RN

   * Обороты
   If RepG151.GetComRepPrm151("_0503121", @lNoError, m.nRow, m.cCol, m.cAnalit)
     Select PadR(AllTrim(AN.SAccount), 3) As KOSGU, S.SUM_EQUAL As Sum ;
     From crEopSpecD S ;
         Inner Join curAcc  A  On S.RN_DB = A.RN ;
         Inner Join AccSpec AN On S.RN_DB_A&cSPLevel = AN.RN ;
       Where Left(AllTrim(AN.SAccount), 2) = ?m.cAnalit ;
     UNION ALL ;
     Select PadR(AllTrim(AN.SAccount), 3) As KOSGU, -S.SUM_EQUAL As Sum ;
       From crEopSpecK S ;
         Inner Join curAcc  A  On S.RN_KR = A.RN ;
         Inner Join AccSpec AN On S.RN_KR_A&cSPLevel = AN.RN ;
       Where Left(AllTrim(AN.SAccount), 2) = ?m.cAnalit ;
       Into CURSOR crsTmp

     Select KOSGU, Sum(SUM) As SUM ;
       From crsTmp ;
       Group By 1 ;
       Into CURSOR crsTmp2

     Scan
       Select crs121
       If !Seek(crsTmp2.KOSGU)
         Insert Into crs121 (KOSGU) VALUES (crsTmp2.KOSGU)
       EndIf
       Replace Sum&cCol With Sum&cCol + Iif(m.nRow = 1, crsTmp2.SUM, -crsTmp2.SUM)
       nCol&cCol.Row36&cRow = m.nCol&cCol.Row36&cRow + Iif(m.nRow = 1, crsTmp2.SUM, -crsTmp2.SUM)
     EndScan
   EndIf
 EndIf

 CurClose("curAcc,crsTmp,crsTmp2")

EndProc
]]></FPC_></MSE>
      <FPC_><![CDATA[*[VFP]
RepG151.GetOutS(.T.)
]]></FPC_>
    </печать>
  </отчет>
  <форма>
    <ид>f_0503121_191n_186n_2023</ид>
    <тип>XML</тип>
    <описание>
      <дополнительно>
        <desc_version>1.0</desc_version>
      </дополнительно>
      <VFP_свойство имя="Name">f_0503121</VFP_свойство>
      <VFP_свойство имя="caption">Форма 0503121-191н_ред186н_2023</VFP_свойство>
      <VFP_свойство имя="height">425</VFP_свойство>
      <VFP_свойство имя="width">460</VFP_свойство>
      <VFP_метод имя="Valid"><![CDATA[LParam oThis, oThisform
Local oObj1, oObj2, oObj3
oObj1 = oThisForm.PF.Page1
oObj2 = oThisForm.PF.Page2
oObj3 = oThisForm.PF.Page3
If !empty(oObj1.cntReoDate.Text.Value) and Year(oObj1.cntReoDate.Text.Value) # oObj1.cntSelDate.Value
   =exclmes("Дата реорганизации должна относиться к отчетному году!")
   oThisForm.PF.ActivePage = 1
   oObj1.cntReoDate.Text.SetFocus()
   return .F.
EndIf
if Empty(oObj2.Txt18B1.Value) and Empty(oObj2.Txt18B2.Value) and ;
   Empty(oObj2.Txt18B3.Value) and Empty(oObj2.Txt18B4.Value) and ;   
   Empty(oObj2.Txt18B5.Value) and Empty(oObj2.Txt18B6.Value) and ;
   Empty(oObj2.Txt18B7.Value) and Empty(oObj2.Txt18B8.Value) and ;
   Empty(oObj2.Txt18B9.Value) and Empty(oObj2.Txt18B10.Value) 
   =exclmes("Не указан код вида деятельности для бюджетной деятельности!")
   oThisForm.PF.ActivePage = 2
   oObj2.Txt18B1.SetFocus()
   return .F.
endif
if Empty(oObj2.Txt18R1.Value) and Empty(oObj2.Txt18R2.Value) and ;
   Empty(oObj2.Txt18R3.Value) and Empty(oObj2.Txt18R4.Value) and ;   
   Empty(oObj2.Txt18R5.Value) and Empty(oObj2.Txt18R6.Value) and ;
   Empty(oObj2.Txt18R7.Value) and Empty(oObj2.Txt18R8.Value) and ;
   Empty(oObj2.Txt18R9.Value) and Empty(oObj2.Txt18R10.Value) 
   =exclmes("Не указан код вида деятельности для средств во временном распоряжении!")
   oThisForm.PF.ActivePage = 2
   oObj2.Txt18R1.SetFocus()
   return .F.
endif
If !Empty(oObj3.Catalog.Text.value) And !Directory(oObj3.Catalog.Text.value)
   = ExclMes("Каталог " + AllTrim(oObj3.Catalog.Text.value) + Chr(13) + "не существует!")
   oThisForm.PF.ActivePage = 3
   oObj3.Catalog.SetFocus()
   return .F.
EndIf
local c18Pos, cUsl18B, cUsl18R, c18B, c18R, cWhereBalUnitsB, cWhereBalUnitsR
store "" to cUsl18B, cUsl18R

c18B  = oObj2.Txt18B1.Value + oObj2.Txt18B2.Value + ;
        oObj2.Txt18B3.Value + oObj2.Txt18B4.Value + ;
        oObj2.Txt18B5.Value + oObj2.Txt18B6.Value + ;
        oObj2.Txt18B7.Value + oObj2.Txt18B8.Value + ;
        oObj2.Txt18B9.Value + oObj2.Txt18B10.Value 
c18R  = oObj2.Txt18R1.Value + oObj2.Txt18R2.Value + ;
        oObj2.Txt18R3.Value + oObj2.Txt18R4.Value + ;
        oObj2.Txt18R5.Value + oObj2.Txt18R6.Value + ;
        oObj2.Txt18R7.Value + oObj2.Txt18R8.Value + ;
        oObj2.Txt18R9.Value + oObj2.Txt18R10.Value 

c18B = strtran(c18B, " ", "", 1)
c18R = strtran(c18R, " ", "", 1)
nLenR = len(m.c18R)
for i = 1 to len(m.c18B)
    c18R = strtran(c18R, SubStr(m.c18B, m.i, 1), "")
endfor
if m.nLenR # len(m.c18R)
   =exclmes("Указан одинаковый код вида деятельности для бюджетной деятельности и средств во временном распоряжении!")
   oObj2.Txt18B1.SetFocus()
   return .F.
endif

c18Pos = IIF(oObj1.Cmb_AccType.Value = 1, "18", "1")

for i = 1 to len(m.c18B)
    cSymb = SubStr(m.c18B, m.i, 1)
    cUsl18B = cUsl18B + Iif(!Empty(cUsl18B), ",'", "'") + cSymb + "'"
endfor
if !Empty(cUsl18B)
   cUsl18B = "InList(SubStr(AccBase.Account, " + m.c18Pos + ", 1), " + cUsl18B +")"
else
   cUsl18B = ".T."
endif
for i = 1 to len(m.c18R)
    cSymb = SubStr(m.c18R, m.i, 1)
    cUsl18R = cUsl18R + Iif(!Empty(cUsl18R), ",'", "'") + cSymb + "'"
endfor
if !Empty(cUsl18R)
   cUsl18R = "InList(SubStr(AccBase.Account, " + m.c18Pos + ", 1), " + cUsl18R +")"
else
   cUsl18R = ".T."
endif
cWhereB  = m.cUsl18B
cWhereR  = m.cUsl18R
cWhereKontragent = oObj1.OrgFrom.GetCond()
cWhereBalUnitsB = oObj2.BalUnitsB.GetCond()
cWhereBalUnitsR = oObj2.BalUnitsR.GetCond()
If !Empty(m.cWhereBalUnitsB)
  cWhereB = "(" + m.cWhereBalUnitsB + ") And " + m.cWhereB
EndIf
If !Empty(m.cWhereBalUnitsR)
  cWhereR = "(" + m.cWhereBalUnitsR + ") And " + m.cWhereR
EndIf

cOrg        = oObj1.OrgFrom.GetSaveValue()
m.CmbMark_  = oObj1.CmbMark.DisplayValue
cCatEO      = oObj1.CmbCatEO.Value
cBalUnitsB  = oObj2.BalUnitsB.GetSaveValue()
cBalUnitsR  = oObj2.BalUnitsR.GetSaveValue()
cUnlPath    = oObj3.Catalog.Text.value
cDicIsp     = oObj3.DicIsp.GetSaveValue()

]]></VFP_метод>
      <VFP_метод имя="PostInit"><![CDATA[LParam oThis, oThisform
Local cIspolnitel, oObj
oObj = oThisForm.PF.Page1
oObj.OrgFrom.setsavevalue(m.cOrg)
oObj.txtNameBudzh.SetSaveValue(m.cNameBudzh)
oObj.CmbMark.SetSource(UnitRn("EconOp"))
oObj.CmbMark.Value = m.cRN_Mark
oObj.CmbCatEO.UnitCode = "EconOp"
oObj.CmbCatEO.InitThis(m.cCatEO)
oObj.JournalOp.Value = m.cJournalOp

oObj = oThisForm.PF.Page2
oObj.BalUnitsB.SetSaveValue(m.cBalUnitsB)
oObj.BalUnitsR.SetSaveValue(m.cBalUnitsR)
cIspolnitel = m.cIspName

oObj = oThisForm.PF.Page3
oObj.Catalog.Text.value = m.cUnlPath
oObj.DicIsp.setsavevalue(m.cDicIsp)
oObj.fldIspName.Value = m.cIspolnitel
]]></VFP_метод>
      <элемент>
        <VFP_имя>Tbtndialog1</VFP_имя>
        <VFP_свойство имя="Left">185</VFP_свойство>
        <VFP_свойство имя="Top">388</VFP_свойство>
      </элемент>
      <элемент>
        <VFP_класс>TPageFrame</VFP_класс>
        <VFP_свойство имя="name">PF</VFP_свойство>
        <VFP_свойство имя="height">385</VFP_свойство>
        <VFP_свойство имя="width">460</VFP_свойство>
        <VFP_свойство имя="pagecount">3</VFP_свойство>
        <элемент>
          <VFP_имя>Page1</VFP_имя>
          <VFP_свойство имя="caption">Параметры формирования</VFP_свойство>
          <VFP_свойство имя="fontname">MS Sans Serif</VFP_свойство>
          <VFP_свойство имя="fontsize">8</VFP_свойство>
          <элемент>
            <VFP_класс>T3dShape</VFP_класс>
            <VFP_свойство имя="height">200</VFP_свойство>
            <VFP_свойство имя="left">10</VFP_свойство>
            <VFP_свойство имя="top">10</VFP_свойство>
            <VFP_свойство имя="width">440</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
          <VFP_свойство имя="Top">5</VFP_свойство>
            <VFP_свойство имя="Caption">Параметры</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Caption">Отчетный год:</VFP_свойство>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">30</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>tyear</VFP_класс>
            <VFP_свойство имя="Name">cntSelDate</VFP_свойство>            
            <VFP_свойство имя="ControlSource">dSelDate</VFP_свойство>
            <VFP_свойство имя="Left">110</VFP_свойство>
            <VFP_свойство имя="Top">25</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Caption">Дата реорганизации:</VFP_свойство>
            <VFP_свойство имя="Left">220</VFP_свойство>
            <VFP_свойство имя="Top">30</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TdicDate</VFP_класс>
            <VFP_свойство имя="Name">cntReoDate</VFP_свойство>
            <VFP_свойство имя="Left">346</VFP_свойство>
            <VFP_свойство имя="Top">25</VFP_свойство>
            <элемент>
              <VFP_имя>Text</VFP_имя>
              <VFP_свойство имя="ControlSource">dReoDate</VFP_свойство>
            </элемент>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">60</VFP_свойство>
            <VFP_свойство имя="Caption">Бюджетное учреждение:</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TDicHist</VFP_класс>
            <VFP_свойство имя="Name">OrgFrom</VFP_свойство>
            <VFP_свойство имя="Left">166</VFP_свойство>
            <VFP_свойство имя="Top">55</VFP_свойство>
            <VFP_свойство имя="Width">275</VFP_свойство>
            <VFP_свойство имя="AreaName" тип="C">OrgBase</VFP_свойство>
            <VFP_свойство имя="DictName" тип="C">Agnt_bms</VFP_свойство>
            <VFP_свойство имя="RetField" тип="C">rmnemo_org</VFP_свойство>
            <VFP_свойство имя="HistoryName" тип="C">H_AGENTS121_186N_2023</VFP_свойство>
            <VFP_свойство имя="sourceIsVar" тип="L">.T.</VFP_свойство>
            <VFP_свойство имя="condfield" тип="C">orgbase.rmnemo_org</VFP_свойство>
            <VFP_свойство имя="condfieldrn" тип="C">orgbase.rn</VFP_свойство>
            <VFP_свойство имя="enablewildcards" тип="L">.T.</VFP_свойство>
            <элемент>
              <VFP_имя>DicTable</VFP_имя>
              <дополнительно>
                <отложенная_инициализация/>
              </дополнительно>
            </элемент>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Caption">Уровень аналитики КОСГУ:</VFP_свойство>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">90</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TSpinner</VFP_класс>
            <VFP_метод имя="InteractiveChange"><![CDATA[LParam oThis, oThisform
oThisform.Recalc()]]></VFP_метод>
            <VFP_свойство имя="ControlSource">nAnLevel</VFP_свойство>
            <VFP_свойство имя="Increment">1.00</VFP_свойство>
            <VFP_свойство имя="Inputmask">9</VFP_свойство>
            <VFP_свойство имя="KeyboardHighValue">5</VFP_свойство>
            <VFP_свойство имя="KeyboardLowValue">1</VFP_свойство>
            <VFP_свойство имя="Left">401</VFP_свойство>
            <VFP_свойство имя="Name">aLevel</VFP_свойство>
            <VFP_свойство имя="SpinnerHighValue">5.00</VFP_свойство>
            <VFP_свойство имя="SpinnerLowValue">1.00</VFP_свойство>
            <VFP_свойство имя="Top">85</VFP_свойство>
            <VFP_свойство имя="Width">40</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">120</VFP_свойство>
            <VFP_свойство имя="Caption">Наименование бюджета:</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TDicHist</VFP_класс>
            <VFP_свойство имя="Name">txtNameBudzh</VFP_свойство>
            <VFP_свойство имя="Left">166</VFP_свойство>
            <VFP_свойство имя="Top">115</VFP_свойство>
            <VFP_свойство имя="Width">275</VFP_свойство>
            <VFP_свойство имя="AreaName" тип="C">Mubudg</VFP_свойство>
            <VFP_свойство имя="DictName" тип="C">Mubudg_msc</VFP_свойство>
            <VFP_свойство имя="RetField" тип="C">mnemo</VFP_свойство>
            <VFP_свойство имя="HistoryName" тип="C">H_AGENTSMUB121_186N_2023</VFP_свойство>
            <VFP_свойство имя="ControlSource" тип="C">m.cNameBudzh</VFP_свойство>
            <VFP_свойство имя="notempty" тип="L">.F.</VFP_свойство>
            <VFP_свойство имя="sourceIsVar" тип="L">.T.</VFP_свойство>
            <элемент>
              <VFP_имя>DicTable</VFP_имя>
              <дополнительно>
                <отложенная_инициализация/>
              </дополнительно>
            </элемент>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">150</VFP_свойство>
            <VFP_свойство имя="Caption">Код бюджета:</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">95</VFP_свойство>
            <VFP_свойство имя="Top">145</VFP_свойство>
            <VFP_свойство имя="Width">80</VFP_свойство>
            <VFP_свойство имя="MaxLength">8</VFP_свойство>           
            <VFP_свойство имя="ControlSource">cKodB</VFP_свойство>
            <VFP_свойство имя="Name">fldKodB</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">185</VFP_свойство>
            <VFP_свойство имя="Top">150</VFP_свойство>
            <VFP_свойство имя="Caption">Код субъекта отчетности:</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TComboBox</VFP_класс>
            <VFP_свойство имя="Left">321</VFP_свойство>
            <VFP_свойство имя="Name">Cmb_KSO</VFP_свойство>
            <VFP_свойство имя="Top">145</VFP_свойство>
            <VFP_свойство имя="Height">23</VFP_свойство>
            <VFP_свойство имя="Width">120</VFP_свойство>
            <VFP_свойство имя="BoundTo">1</VFP_свойство>
            <VFP_свойство имя="RowSourceType">1</VFP_свойство>
            <VFP_свойство имя="RowSource">ПБС,АД,РБС,ГРБС,ГлАД</VFP_свойство>
            <VFP_свойство имя="Style">2</VFP_свойство>
            <VFP_свойство имя="ControlSource">cKSO</VFP_свойство>
            <VFP_свойство имя="delenabled">.F.</VFP_свойство>
            <VFP_свойство имя="notempty">.T.</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">180</VFP_свойство>
            <VFP_свойство имя="Caption">Размерность плана счетов:</VFP_свойство>
          </элемент>            
          <элемент>
            <VFP_класс>TComboBox</VFP_класс>
            <VFP_свойство имя="Left">321</VFP_свойство>
            <VFP_свойство имя="Name">Cmb_AccType</VFP_свойство>
            <VFP_свойство имя="Top">175</VFP_свойство>
            <VFP_свойство имя="Height">23</VFP_свойство>
            <VFP_свойство имя="Width">120</VFP_свойство>
            <VFP_свойство имя="BoundTo">2</VFP_свойство>
            <VFP_свойство имя="RowSourceType">1</VFP_свойство>
            <VFP_свойство имя="RowSource">26 символов,9 символов</VFP_свойство>
            <VFP_свойство имя="Style">2</VFP_свойство>
            <VFP_свойство имя="ControlSource">nAccType</VFP_свойство>
            <VFP_свойство имя="Delenabled">.F.</VFP_свойство>
            <VFP_свойство имя="NotEmpty">.T.</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>T3dShape</VFP_класс>
            <VFP_свойство имя="height">75</VFP_свойство>
            <VFP_свойство имя="left">10</VFP_свойство>
            <VFP_свойство имя="top">220</VFP_свойство>
            <VFP_свойство имя="width">440</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">215</VFP_свойство>
            <VFP_свойство имя="Caption">Операции межотчетного периода</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">235</VFP_свойство>
            <VFP_свойство имя="Caption">Особая отметка:</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>mark</VFP_класс>
            <VFP_свойство имя="Left">270</VFP_свойство>
            <VFP_свойство имя="Top">230</VFP_свойство>
            <VFP_свойство имя="width">170</VFP_свойство>
            <VFP_свойство имя="Name">CmbMark</VFP_свойство>
            <VFP_свойство имя="ControlSource">cRN_Mark</VFP_свойство>
            <VFP_свойство имя="condfield" тип="C">eopbase.rn_mark</VFP_свойство>
            <VFP_свойство имя="Notempty">.F.</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">265</VFP_свойство>
            <VFP_свойство имя="Caption">Каталог хозяйственных операций:</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>tdictree</VFP_класс>
            <VFP_свойство имя="Left">270</VFP_свойство>
            <VFP_свойство имя="Top">260</VFP_свойство>
            <VFP_свойство имя="Width">170</VFP_свойство>
            <VFP_свойство имя="Name">CmbCatEO</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>T3dShape</VFP_класс>
            <VFP_свойство имя="Height">45</VFP_свойство>
            <VFP_свойство имя="Left">10</VFP_свойство>
            <VFP_свойство имя="Top">305</VFP_свойство>
            <VFP_свойство имя="Width">440</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">300</VFP_свойство>
            <VFP_свойство имя="Caption">Операции по исправлению ошибок прошлых лет</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">320</VFP_свойство>
            <VFP_свойство имя="Caption">Журнал операций:</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>ordera</VFP_класс>
            <VFP_свойство имя="Left">270</VFP_свойство>
            <VFP_свойство имя="Top">315</VFP_свойство>
            <VFP_свойство имя="Width">170</VFP_свойство>
            <VFP_свойство имя="Height">23</VFP_свойство>
            <VFP_свойство имя="Name">JournalOp</VFP_свойство>
            <VFP_свойство имя="ControlSource">cJournalOp</VFP_свойство>
          </элемент>          
        </элемент>
        <элемент>
          <VFP_имя>Page2</VFP_имя>
          <VFP_свойство имя="Caption">Бюджет/Внебюджет</VFP_свойство>
          <VFP_свойство имя="FontName">MS Sans Serif</VFP_свойство>
          <VFP_свойство имя="FontSize">8</VFP_свойство>
          <элемент>
            <VFP_класс>T3dShape</VFP_класс>
            <VFP_свойство имя="Height">75</VFP_свойство>
            <VFP_свойство имя="Left">10</VFP_свойство>
            <VFP_свойство имя="Top">10</VFP_свойство>
            <VFP_свойство имя="Width">440</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">5</VFP_свойство>
            <VFP_свойство имя="Caption">Код вида деятельности</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">25</VFP_свойство>
            <VFP_свойство имя="Caption">Бюджетная:</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">236</VFP_свойство>
            <VFP_свойство имя="Top">20</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18B1</VFP_свойство>
            <VFP_свойство имя="Name">Txt18B1</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">257</VFP_свойство>
            <VFP_свойство имя="Top">20</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18B2</VFP_свойство>
            <VFP_свойство имя="Name">Txt18B2</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">278</VFP_свойство>
            <VFP_свойство имя="Top">20</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18B3</VFP_свойство>
            <VFP_свойство имя="Name">Txt18B3</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">299</VFP_свойство>
            <VFP_свойство имя="Top">20</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18B4</VFP_свойство>
            <VFP_свойство имя="Name">Txt18B4</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">320</VFP_свойство>
            <VFP_свойство имя="Top">20</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18B5</VFP_свойство>
            <VFP_свойство имя="Name">Txt18B5</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">341</VFP_свойство>
            <VFP_свойство имя="Top">20</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18B6</VFP_свойство>
            <VFP_свойство имя="Name">Txt18B6</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">362</VFP_свойство>
            <VFP_свойство имя="Top">20</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18B7</VFP_свойство>
            <VFP_свойство имя="Name">Txt18B7</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">383</VFP_свойство>
            <VFP_свойство имя="Top">20</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18B8</VFP_свойство>
            <VFP_свойство имя="Name">Txt18B8</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">404</VFP_свойство>
            <VFP_свойство имя="Top">20</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18B9</VFP_свойство>
            <VFP_свойство имя="Name">Txt18B9</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">425</VFP_свойство>
            <VFP_свойство имя="Top">20</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18B10</VFP_свойство>
            <VFP_свойство имя="Name">Txt18B10</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">55</VFP_свойство>
            <VFP_свойство имя="Caption">Средства во временном распоряжении:</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">236</VFP_свойство>
            <VFP_свойство имя="Top">50</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18R1</VFP_свойство>
            <VFP_свойство имя="Name">Txt18R1</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">257</VFP_свойство>
            <VFP_свойство имя="Top">50</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18R2</VFP_свойство>
            <VFP_свойство имя="Name">Txt18R2</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">278</VFP_свойство>
            <VFP_свойство имя="Top">50</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18R3</VFP_свойство>
            <VFP_свойство имя="Name">Txt18R3</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">299</VFP_свойство>
            <VFP_свойство имя="Top">50</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18R4</VFP_свойство>
            <VFP_свойство имя="Name">Txt18R4</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">320</VFP_свойство>
            <VFP_свойство имя="Top">50</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18R5</VFP_свойство>
            <VFP_свойство имя="Name">Txt18R5</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">341</VFP_свойство>
            <VFP_свойство имя="Top">50</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18R6</VFP_свойство>
            <VFP_свойство имя="Name">Txt18R6</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">362</VFP_свойство>
            <VFP_свойство имя="Top">50</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18R7</VFP_свойство>
            <VFP_свойство имя="Name">Txt18R7</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">383</VFP_свойство>
            <VFP_свойство имя="Top">50</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18R8</VFP_свойство>
            <VFP_свойство имя="Name">Txt18R8</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">404</VFP_свойство>
            <VFP_свойство имя="Top">50</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18R9</VFP_свойство>
            <VFP_свойство имя="Name">Txt18R9</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">425</VFP_свойство>
            <VFP_свойство имя="Top">50</VFP_свойство>
            <VFP_свойство имя="Width">16</VFP_свойство>
            <VFP_свойство имя="InputMask">N</VFP_свойство>
            <VFP_свойство имя="ControlSource">cTxt18R10</VFP_свойство>
            <VFP_свойство имя="Name">Txt18R10</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>T3dShape</VFP_класс>
            <VFP_свойство имя="Height">75</VFP_свойство>
            <VFP_свойство имя="Left">10</VFP_свойство>
            <VFP_свойство имя="Top">95</VFP_свойство>
            <VFP_свойство имя="Width">440</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">90</VFP_свойство>
            <VFP_свойство имя="Caption">Балансовая единица</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Caption">Бюджетная деятельность:</VFP_свойство>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">110</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>S_balunits</VFP_класс>
            <VFP_свойство имя="Name">BalunitsB</VFP_свойство>
            <VFP_свойство имя="Left">235</VFP_свойство>
            <VFP_свойство имя="Top">105</VFP_свойство>
            <VFP_свойство имя="Width">206</VFP_свойство>
            <VFP_свойство имя="sourceIsVar" тип="L">.T.</VFP_свойство>
            <VFP_свойство имя="condfield" тип="C">balunit.mnemo</VFP_свойство>
            <VFP_свойство имя="condfieldrn" тип="C">balunit.rn</VFP_свойство>
            <VFP_свойство имя="enablewildcards" тип="L">.T.</VFP_свойство>
            <элемент>
              <VFP_имя>DicTable</VFP_имя>
              <дополнительно>
                <отложенная_инициализация/>
              </дополнительно>
            </элемент>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Caption">Средства во временном распоряжении:</VFP_свойство>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">140</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>S_balunits</VFP_класс>
            <VFP_свойство имя="Name">BalunitsR</VFP_свойство>
            <VFP_свойство имя="Left">235</VFP_свойство>
            <VFP_свойство имя="Top">135</VFP_свойство>
            <VFP_свойство имя="Width">206</VFP_свойство>
            <VFP_свойство имя="sourceIsVar" тип="L">.T.</VFP_свойство>
            <VFP_свойство имя="condfield" тип="C">balunit.mnemo</VFP_свойство>
            <VFP_свойство имя="condfieldrn" тип="C">balunit.rn</VFP_свойство>
            <VFP_свойство имя="enablewildcards" тип="L">.T.</VFP_свойство>
            <элемент>
              <VFP_имя>DicTable</VFP_имя>
              <дополнительно>
                <отложенная_инициализация/>
              </дополнительно>
            </элемент>
        </элемент>
        </элемент>
        <элемент>
          <VFP_имя>Page3</VFP_имя>
          <VFP_свойство имя="caption">Параметры выгрузки</VFP_свойство>
          <VFP_свойство имя="fontname">MS Sans Serif</VFP_свойство>
          <VFP_свойство имя="fontsize">8</VFP_свойство>
          <элемент>
            <VFP_класс>T3dShape</VFP_класс>
            <VFP_свойство имя="height">185</VFP_свойство>
            <VFP_свойство имя="left">10</VFP_свойство>
            <VFP_свойство имя="top">10</VFP_свойство>
            <VFP_свойство имя="width">440</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">5</VFP_свойство>
            <VFP_свойство имя="Caption">Параметры</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Caption">Каталог:</VFP_свойство>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">25</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TDirSelect</VFP_класс>
            <VFP_свойство имя="Name">Catalog</VFP_свойство>
            <VFP_свойство имя="Left">80</VFP_свойство>
            <VFP_свойство имя="Top">20</VFP_свойство>
            <VFP_свойство имя="Width">360</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Caption">ИСТ:</VFP_свойство>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">55</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">383</VFP_свойство>
            <VFP_свойство имя="Top">50</VFP_свойство>
            <VFP_свойство имя="Width">57</VFP_свойство>
            <VFP_свойство имя="MaxLength">3</VFP_свойство>
            <VFP_свойство имя="ControlSource">cIST</VFP_свойство>
            <VFP_свойство имя="Name">IST</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Caption">Исполнитель:</VFP_свойство>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">85</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TDicHist</VFP_класс>
            <VFP_метод имя="AddUpdate"><![CDATA[LParam oThis, oThisform
= CurOpen("orgbase, person")
If !Empty(oThisForm.PF.Page3.dicIsp.Value)
  = Seek(oThisForm.PF.Page3.dicIsp.Value, "orgbase", "RN")
  If orgbase.type # '2'
    errmes("Выбранный контрагент не является физическим лицом.")
    oThisForm.PF.Page3.dicIsp.Clear()
  Else    
    = Seek(oThisForm.PF.Page3.dicIsp.Value, "person", "RN")
    oThisForm.PF.Page3.fldIspName.Value = Alltrim(person.SURNAME) + " " + Left(Alltrim(person.FIRSTNAME), 1) + "." + Left(Alltrim(person.SECONDNAME), 1) + "."
  EndIf
EndIf
]]></VFP_метод>
            <VFP_свойство имя="Name">dicIsp</VFP_свойство>
            <VFP_свойство имя="Left">190</VFP_свойство>
            <VFP_свойство имя="Top">80</VFP_свойство>
            <VFP_свойство имя="Width">250</VFP_свойство>
            <VFP_свойство имя="AreaName" тип="C">OrgBase</VFP_свойство>
            <VFP_свойство имя="DictName" тип="C">Agnt_bms</VFP_свойство>
            <VFP_свойство имя="RetField" тип="C">rmnemo_org</VFP_свойство>
            <VFP_свойство имя="HistoryName" тип="C">H_AgentsFIO121_186N_2023</VFP_свойство>
            <VFP_свойство имя="Filter">orgbase.type='2'</VFP_свойство>
            <элемент>
              <VFP_имя>DicTable</VFP_имя>
              <дополнительно>
                <отложенная_инициализация/>
              </дополнительно>
            </элемент>                
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Caption">ФИО:</VFP_свойство>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">115</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">190</VFP_свойство>
            <VFP_свойство имя="Top">110</VFP_свойство>
            <VFP_свойство имя="Width">250</VFP_свойство>
            <VFP_свойство имя="ControlSource">cIspName</VFP_свойство>
            <VFP_свойство имя="Name">fldIspName</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TLabel</VFP_класс>
            <VFP_свойство имя="Caption">Телефон:</VFP_свойство>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">145</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TTextBox</VFP_класс>
            <VFP_свойство имя="Left">190</VFP_свойство>
            <VFP_свойство имя="Top">140</VFP_свойство>
            <VFP_свойство имя="Width">250</VFP_свойство>
            <VFP_свойство имя="ControlSource">cIspTel</VFP_свойство>
            <VFP_свойство имя="Name">fldIspTel</VFP_свойство>
          </элемент>
          <элемент>
            <VFP_класс>TCheckBox</VFP_класс>
            <VFP_свойство имя="Left">20</VFP_свойство>
            <VFP_свойство имя="Top">217</VFP_свойство>
            <VFP_свойство имя="ControlSource">nEmptyRows</VFP_свойство>
            <VFP_свойство имя="Name">chkEmptyRows</VFP_свойство>
            <VFP_свойство имя="Caption">Выгружать строки с нулевыми значениями</VFP_свойство>
          </элемент>
        </элемент>
      </элемент>
    </описание>
  </форма>
</Модуль>
